API ReferenceHealth
Health Check
curl -X GET "https://example.com/health"{ "status": "string", "version": "string", "timestamp": "2019-08-24T14:15:22Z", "database_connected": true, "services_ready": true, "buffer_pool_exhausted": false, "buffer_pool_auto_escalated_mb": 0, "buffer_pool_current_mb": 0, "buffer_pool_next_start_mb": 0, "buffer_pool_restart_required": false, "buffer_pool_restart_reason": "string", "buffer_pool_auto_mode": true, "buffer_pool_source": "string", "buffer_pool_auto_floor_mb": 0, "buffer_pool_auto_cap_mb": 0, "plugin_updates": [ { "id": "string", "name": "string", "installed_version": "string", "available_version": "string" } ], "db_recovery_notice": { "id": "string", "created_at": "string", "reason": "string", "support_email": "string", "chosen_db_path": "string", "backup_db_path": "string", "chosen_size_bytes": 0, "backup_size_bytes": 0 }, "content_store": { "state": "string", "db_path": "string", "sqlite_ready": true, "schema_version": 0, "schema_min_supported_version": 0, "schema_migration_count": 0, "thread_message_owner": "string", "cutover_ready": false, "cutover_completed": true, "legacy_graph_cleanup_completed": true, "sqlite_message_count": 0, "sqlite_thread_count": 0, "sqlite_anchor_count": 0, "legacy_kuzu_message_count": 0, "legacy_kuzu_anchor_scan_offset": 0, "legacy_kuzu_anchor_count": 0, "last_error": "string", "updated_at": "string" }}